commit 3966379209ec48f14a1d12e48f51b687d48cc6ac
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Fri Jan 8 15:11:48 2010 -0500

    Bump version for release

commit 6a9361aaec49495d566db1267a21a0f4ed1b9480
Merge: c35f05d... f2b9a6a...
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Fri Jan 8 11:43:07 2010 -0500

    Merge branch 'master' of git://people.freedesktop.org/~jbarnes/glproto

commit f2b9a6a29edf930f30eade7a0abe40a6d3c4962b
Author: Jesse Barnes <jbarnes@jbarnes-desktop.localdomain>
Date:   Thu Nov 12 16:53:13 2009 +0000

    Add GLX swap buffers event support

commit c35f05decd7c1c5e4d4c1cc955c6ba9ba370b788
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 22 19:24:48 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 57dfc6eaf0da7ba8ef3bc1bbe105037f4b7b97f7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 16 11:13:30 2009 -0500

    README: file created or updated #24206
    
    Contains a set of URLs to freedesktop.org.

commit 6f612cd9c52ad89369cb6364c11c47ad3a356b95
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 19:45:26 2009 -0500

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 201a1ad998f1f5eefb43f6a0b6a4a59dee7662e6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 18:31:28 2009 -0500

    Makefile.am: INSTALL file is missing or incorrect #24206
    
    The standard GNU file on building/installing  tarball is copied
    using the XORG_INSTALL macro contained in XORG_DEFAULT_OPTIONS
    Add INSTALL target

commit acc2c1191ea96cdecf973139fda57bd8efccb8c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 18:11:36 2009 -0500

    configure.ac: deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 26004693388740e3c94dc194348bc56bf9a85f18
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 13:55:25 2009 -0500

    configure.ac: AM_MAINTAINER_MODE missing #24238
    
    This turns off maintainer mode build rules in tarballs.
    Works in conjunction with autogen.sh --enable-maintainer-mode

commit abdb124781c90394eb5b0e49203b9287b7b48cbc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 14 18:26:47 2009 -0500

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 2f13449c987e3d58555e030f887736d67e2fe62d
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue May 26 17:16:20 2009 -0400

    glproto 1.4.10

commit 25a12ff858d569f990e63d942677f05d301be95e
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 27 20:06:28 2009 -0200

    Janitor: Correct make distcheck and dont distribute autogen.sh

commit 660a90502a993f11d883f4f9ddb7314dfe34a0bb
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Sep 22 11:41:04 2008 -0400

    Upgrade GLX Public License 1.0 to FreeB 2.0.
    
    According to the press release:
    
        Previous SGI contributions to the free and open source community
        are now available under the new license. These contributions
        include the SGI® OpenGL® Sample Implementation, the GLX™ API and
        other GLX extensions.
    
        [...]
    
        "SGI has been one of the most ardent commercial supporters of free
        and open source software, so it was important to us that we continue
        to support the free software development community by releasing our
        earlier OpenGL-related contributions under this new license," said
        Steve Neuner, director of Linux, SGI. "This license ensures that all
        existing user communities will benefit, and their work can proceed
        unimpeded. Both Mesa and the X.org Project can continue to utilize
        this code in free software distributions of GNU/Linux. Now more than
        ever, software previously released by SGI under earlier GLX and SGI
        Free Software License B is free."
    
    "The GLX API" is here read to include the original GLX source release
    from:
    
    http://www.sgi.com/products/software/opensource/glx/download.html
    ftp://ftp.sgi.com/sgi/opengl/glx/glx1_2.1.tgz
    
    which includes glxint.h as included in XFree86, from which our copy
    is derived.

commit 391a147ccccd2f85526776a7d9639f48f83f976c
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Sep 19 18:59:05 2008 +0200

    Update to SGI FreeB 2.0.
    
    Under the terms of version 1.1, "once Covered Code has been published
    under a particular version of the License, Recipient may, for the
    duration of the License, continue to use it under the terms of that
    version, or choose to use such Covered Code under the terms of any
    subsequent version published by SGI."
    
    FreeB 2.0 license refers to "dates of first publication".  They are here
    taken to be 1991-2000, as noted in the original license text:
    
    ** Original Code. The Original Code is: OpenGL Sample Implementation,
    ** Version 1.2.1, released January 26, 2000, developed by Silicon Graphics,
    ** Inc. The Original Code is Copyright (c) 1991-2000 Silicon Graphics, Inc.
    ** Copyright in any portions created by third parties is as indicated
    ** elsewhere herein.  All Rights Reserved.
    
    Official FreeB 2.0 text:
    
    http://oss.sgi.com/projects/FreeB/SGIFreeSWLicB.2.0.pdf
    
    As always, this code has not been tested for conformance with the OpenGL
    specification.  OpenGL conformance testing is available from
    http://khronos.org/ and is required for use of the OpenGL logo in
    product advertising and promotion.

commit a51078116ff54e9ffad3f3784ec226ad91c62816
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:39:01 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 6430de9a12b0430be8a635976038f8769d798bef
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Oct 12 19:03:25 2007 -0400

    Bump to 1.4.9 so we can depend on SGI pbuffer structs.

commit e89ed37e56e2dec95fd43778f3a72bafca1d56e3
Merge: 2adf876... 750a853...
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 06:17:08 2007 -0400

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/proto/glproto

commit 2adf876f7bb078b86f7e967d3115e25cfc9c705d
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:54:04 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 750a853fa546a004deae7987eb645b2c4c88ccdc
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Thu Aug 23 21:37:53 2007 -0400

    Add proto structs for GLX_SGIX_pbuffer.

commit e37b97e0392affea38cdddbcc279e6a69b7a13bd
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 14 14:17:57 2006 -0700

    Use correct opcodes for GLX_EXT_texture_from_pixmap.

commit 786f411fedfcd556399437e11c5a401758da193b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jul 14 18:56:16 2006 -0700

    renamed: .cvsignore -> .gitignore

commit cbabd9f7189d2445a6db90b648b1eec7de30a435
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Thu Jun 29 03:14:11 2006 +0000

    There are 13 GLX errors.

commit aa8b3bb05bf390feb6389a4ef94b26fc394c9fe1
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon May 1 22:23:33 2006 +0000

    Bump to 1.4.7

commit 2864cebfcbf8e52e1245590724894a6167179b2f
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Mar 17 00:43:28 2006 +0000

    Bump to 1.4.6 for FBO opcodes.

commit 60b85349042a1a44bdc79ef2b7bb3326f242aa83
Author: David Reveman <c99drn@cs.umu.se>
Date:   Fri Mar 10 00:11:25 2006 +0000

    Fix typo

commit 90980329b2a3e2466176cd3a87119a6939418eae
Author: Brian Paul <brian.paul@tungstengraphics.com>
Date:   Fri Feb 24 22:12:33 2006 +0000

    added GL_EXT_framebuffer_object opcodes for Dave Reveman

commit 1086f49267a8c469384550e57e108d8eb957332c
Author: Brian Paul <brian.paul@tungstengraphics.com>
Date:   Fri Feb 24 15:43:51 2006 +0000

    added GL_EXT_framebuffer_object opcodes (Dave Reveman)

commit 709e3db8065c808483b81e53a1779ceec3dac775
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Feb 20 15:43:44 2006 +0000

    Add GLX_FRONT_LEFT_EXT. Bump to 1.4.5.

commit 29f219c9dfdbd9c38b4987a3b8c14c72e34a3ce3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Feb 14 19:44:32 2006 +0000

    Bump to 1.4.4

commit 25812fd3853ad7c4b3fa1dc05f6afef04ec9f1b2
Author: Zack Rusin <zack@kde.org>
Date:   Tue Feb 7 22:17:29 2006 +0000

    texture_from_pixmap defines

commit 5ca023367e697051202fdc2d0bb2e4742615ad72
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:07 2005 +0000

    Update package version for X11R7 release.

commit 7d16c0f03b1ebb875b7e421869fb9b06f4cd1cef
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:32:25 2005 +0000

    Stub COPYING files

commit e6b965749d46c8aa7237bdbb8cc8797b218a89be
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:37 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 1c07b08a7558f11833586ba9b1315bfab5379791
Author: Donnie Berkholz <spyderous@gentoo.org>
Date:   Fri Oct 14 05:09:12 2005 +0000

    Bump version to 1.4.1, so xserver can depend on newer version and not die.

commit a30aedabe968efbbb122644a34385480d37630ad
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Oct 6 02:51:57 2005 +0000

    Revert changes that duplicated GLX_SGIX_swap_barrier protocol requests and
        replies

commit 0526e5aa281ce0fedb3362e7e64f79d52312d7c0
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Oct 5 22:39:41 2005 +0000

    Bug #3652: Server-side GLX support for GLX_SGIX_swap_barrier and
        GLX_SGIX_hyperpipe extensions. (Eric Kunze, SGI)

commit bde8b196d88e2fe69fc232cca829da4d37ab109c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Sep 21 00:16:29 2005 +0000

    Bug #4036: glx.h and glu.h don't belong in glproto.

commit 7bfaeebc4da09552cb4fd24061244717b6605975
Author: Eric Anholt <anholt@freebsd.org>
Date:   Tue Aug 2 19:19:38 2005 +0000

    Add basic .cvsignore files for proto modules.

commit cdd2a9866b6baa9b8a0d93977d9142dad9e17fb0
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:55 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit d207f9ce6def32a5a09e71a5aa186f95c9a66dd8
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 14 00:28:45 2005 +0000

    - Add build system for xf86-video-ati
    - Add build system for xserver/xorg/hw/xfree86/dri
    - Add glcore.h to symlink.sh
    - Symlink.sh: add some more DRI files, symlink glcore.h from
        extras/Mesa/include/GL/internal to proto/GL
    - proto/GL/Makefile.am: install glcore.h
    - xf86-video-ark: s/module-dir/xorg-module-dir/

commit 9f99b048a1b3292f262f95a6807983069ee62eb7
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Jul 8 17:00:34 2005 +0000

    GLX headers have to go under a directory named GL/

commit 694d4df483a69877fb106437e948a2394bd3eb08
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat May 21 04:07:44 2005 +0000

    Set version to 1.4.

commit 11e397f4e2b4c0f5a8ffa72593cb392f61f42174
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:39 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit e65f2e93678607e1230e623284ab5a8cefa53522
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:18 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit 8daef2b6035761994584be1772f2bd8fc4afe99b
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon May 9 18:20:04 2005 +0000

    Change all the protonames from <extension>Ext to <extension>Proto.

commit af91f8a13dd7980d4964afe9f0dabbabe27847d9
Author: Kevin E Martin <kem@kem.org>
Date:   Fri May 6 01:46:30 2005 +0000

    Initial build system files for proto module.

commit 67f6a40fc6117988c1d5a13dbb6f5e1c523776a7
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jun 30 20:06:52 2004 +0000

    Add Distributed Multihead X (DMX) support

commit ae53d8689c0257a8b8bdcc71e977344bc35c6968
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Jun 21 13:35:05 2004 +0000

    Bug 782: Merge native OpenGL for Windows from CYGWIN branch

commit 290d3f948d650f64ef70fdcce62faf4b9c19af27
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:47:09 2004 +0000

    Merge DRI-trunk-20040613 changes to include/GL

commit 88f719bedec749a400b3e2d883027ced0f6a3f5e
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:25:12 2004 +0000

    DRI trunk-20040613 import

commit c301cc2aea606d19d94d5ff26038fc078d2d5632
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:21:44 2004 +0000

    DRI XFree86-4_3_99_12-merge import

commit 4f0d4529d6ec57104a49b33624191394495d895a
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:16:34 2004 +0000

    Mesa 6.1 20040613 import

commit e2bc1e26498f48c9fb478495bef54852e59a1ae5
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:16:34 2004 +0000

    Initial revision

commit 9ae18a0dc799c4f3cebe0879dda2aac126b47e4a
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:06 2004 +0000

    Merging XORG-CURRENT into trunk

commit 0e26563ec9899895c193c7374632021d98927472
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:31:35 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 0adef4ac4efdd21653890d17ab2358ea2fa30167
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:10:53 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit d3f4ee16d49ffddea4128ffcae7a949ed4581f74
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:11 2004 +0000

    readding XFree86's cvs IDs

commit 7e6e16483e09178df27674f6d05a87e9c2bf9df6
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:24 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 815fc7150094098c1a749f70fada3c6e62a13a95
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Mon Feb 23 20:34:29 2004 +0000

    Import most of XFree86 4.4RC3. This import excludes files which have the
        new license. If we want to, later we can import 4.4RC3 again and pick
        up the files that have the new license, but for now the vendor branch
        is "pure."

commit 556ac2703ceaaaa4a14e4aaba6ac31496a3ccc06
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:02 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit a41f4589db4b9638a73963c9dd65618814b3bd73
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:42 2003 +0000

    XFree86 4.3.0.1

commit ba28c09e114061f441034b7c974581702462ed2d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:42 2003 +0000

    Initial revision
